<?php
session_start();

   include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session

   $id_cd=$sesion->id;
   extract($_POST);
   
	   function redondear($valor) {
$float_redondeado=round($valor * 100) / 100;
return $float_redondeado;
}
           $lafecha=$_POST['fecha'];        
     $qp = "select  month('$lafecha'), month('$lafecha')+1, year('$lafecha')";
$cp = mysqli_query($conexion, $qp) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
                 while($rDG = mysqli_fetch_row($cp)) 
                     {
                $elmes1 = $rDG[0];
                $elmes = $rDG[1];
                $elano = $rDG[2];

               };
              echo"elmes $elmes1 mes $elmes ano $elano";     
         $elanito=$elano;
         if($elmes==13){$elmes=1;  $elano=$elano+1;}
 
  $qcc1 = "SELECT sum(puntos), sum(cantidad) FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones WHERE fechat between '$elanito-$elmes1-01' and '$elanito-$elmes1-31'" ;
           $ccc1 = mysqli_query($conexion, $qcc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rrc = mysqli_fetch_row($ccc1);
  
         $puntos=redondear($rrc[0]);
         $cantidad=redondear($rrc[1]);
          $qcc1 = "SELECT sum(_real) FROM `regs2` WHERE fechap between '$elano-$elmes-01' and '$elano-$elmes-31'" ;
           $ccc1 = mysqli_query($conexion, $qcc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rrc = mysqli_fetch_row($ccc1);
  
         $real=redondear($rrc[0]);
         $qcc1 = "SELECT sum(apagar), sum(impuestos), sum(pagado) FROM `regs2` join pagos on regs2.idreg=pagos.idreg WHERE fechap between '$elano-$elmes-01' and '$elano-$elmes-31' and status=1";
           $ccc1 = mysqli_query($conexion, $qcc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rrc = mysqli_fetch_row($ccc1);
  
         $depositos33=redondear($rrc[0]);   $impuestosd=redondear($rrc[1]);   $pagadod=redondear($rrc[2]);
                  $qcc1 = "SELECT sum(apagar), sum(impuestos), sum(pagado) FROM `regs2` join agrupa_regs on regs2.idreg=agrupa_regs.idregi WHERE fechap between '$elano-$elmes-01' and '$elano-$elmes-31' and status=1";
           $ccc1 = mysqli_query($conexion, $qcc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rrc = mysqli_fetch_row($ccc1);
  
         $depositos12=redondear($rrc[2]);
             $qcc1 = "SELECT sum(apagar), sum(impuestos), sum(pagado) FROM `regs2` join agrupa_regs on regs2.idreg=agrupa_regs.idregf WHERE fechap between '$elano-$elmes-01' and '$elano-$elmes-31' and status=1";
           $ccc1 = mysqli_query($conexion, $qcc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rrc = mysqli_fetch_row($ccc1);
  
         $depositos123=redondear($rrc[2]);             
         $qcc1 = "SELECT sum(apagar) FROM `regs2` WHERE fechap between '$elano-$elmes-01' and '$elano-$elmes-31' and status=1";
           $ccc1 = mysqli_query($conexion, $qcc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rrc = mysqli_fetch_row($ccc1);
  
         $depositos3=redondear($rrc[0]);
   $qc1 = "SELECT sum(apagar) FROM `regs2` WHERE fechap between '$elano-$elmes-01' and '$elano-$elmes-31' and (status=0 or status=8 or status=10)";
           $cc1 = mysqli_query($conexion, $qc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rr = mysqli_fetch_row($cc1);
  
         $porpagar=redondear($rr[0]);
   $qcc1 = "SELECT sum(pagado) FROM `regs2` join agrupa_regs on regs2.idreg=agrupa_regs.idregi WHERE fechap between '$elano-$elmes-01' and '$elano-$elmes-31' and status=1";
           $ccc1 = mysqli_query($conexion, $qcc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rrc = mysqli_fetch_row($ccc1);
  
         $depositos12=redondear($rrc[0]); 
    $qcc1 = "SELECT sum(apagar) FROM `regs2` join voucher on regs2.idreg=voucher.referencia  WHERE fechap between '$elano-$elmes-01' and '$elano-$elmes-31' and regs2.status=5";
           $ccc1 = mysqli_query($conexion, $qcc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rrc = mysqli_fetch_row($ccc1);
  
         $vou=redondear($rrc[0]); 
    $qc2 = "SELECT sum(regalias) FROM `regs2` join asignaregs on asignaregs.idreg=regs2.idreg join pagovta on pagovta.idtransacciones=asignaregs.idtransacciones WHERE fechap between '$elano-$elmes-01' and '$elano-$elmes-31'";
           $cc2 = mysqli_query($conexion, $qc2) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rr2 = mysqli_fetch_row($cc2);
  
         $regalias=redondear($rr2[0]);
 
 
echo"<BR><center><font color=\"#5C3C12\" size=\"+2\">Reporte mensual de regalias</font><br><br>
<table border=0>
<tR><td>Ventas Totales</td><td>$ $cantidad</td><td>Puntos</td><td>$puntos</td><td>Regal&iacute;as Generadas</td><td>$real</td>
</tr>
</table>
<br><br>
<table border=1>
<tr><td><b>Pago</b></td><td>Cantidad</td><td>Impuestos</td><td>Pagado</td></tr>
<tr><td><b>Por Pagar</b></td><td>$ $porpagar</td><td></td><td></td><td>
<form name=\"pagar\" action=\"pagarregalias.php\" target=\"_blank\" method=\"post\"><input type=hidden name=fecha value=\"$lafecha\"><input type=\"submit\" value=\"Ver mas\" name=\"infoped\"></form></td></tr>
<tr><td><b>Depositos</b></td><td>$ $depositos33</td><td>$ $impuestosd</td><td>$ $pagadod</td></tr>
<tr><td><b>Reg. Unidas</b></td><td>$ $depositos12</td><td></td><td></td></tr>
<tr><td><b>Reg. new</b></td><td>$ $depositos123</td><td></td><td></td></tr>
<tr><td><b>Regalias</b></td><td>$ $regalias</td><td></td><td></td></tr>
<tr><td><b>Voucher</b></td><td>$ $vou</td><td></td><td></td></tr>
</center>";
?>